package com.admin.major.domain;

import java.util.Date;
import java.util.List;
import com.admin.common.annotation.Excel;
import com.admin.common.core.domain.BaseEntity;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 用户建议记录对象 m_proposal
 * 
 * @author zewei
 * @date 2022-05-31
 */
public class Proposal extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 内容 */
    @Excel(name = "内容")
    private String content;

    /** 用户 */
    private String userId;

    /** $table.subTable.functionName信息 */
    private List<ProposalFile> proposalFileList;


    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setContent(String content) 
    {
        this.content = content;
    }

    public String getContent() 
    {
        return content;
    }
    public void setUserId(String userId) 
    {
        this.userId = userId;
    }

    public String getUserId() 
    {
        return userId;
    }

    public List<ProposalFile> getProposalFileList()
    {
        return proposalFileList;
    }

    public void setProposalFileList(List<ProposalFile> proposalFileList)
    {
        this.proposalFileList = proposalFileList;
    }


    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("content", getContent())
            .append("createTime", getCreateTime())
            .append("userId", getUserId())
            .append("proposalFileList", getProposalFileList())
            .toString();
    }
}
